<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;
/**
 * 使用CodeMirror让模板编辑器支持代码高亮，显示行号，匹配括号
 * 
 * @package MbEditor模板编辑器免费版
 * @author 点我购买付费版
 * @version 1.0.0
 * @link https://qqdie.com/archives/mbeditor-mbeditor-plugin.html
 */
class MbEditorFree_Plugin implements Typecho_Plugin_Interface
{
    /**
     * 激活插件方法,如果激活失败,直接抛出异常
     * 
     * @access public
     * @return void
     * @throws Typecho_Plugin_Exception
     */
    public static function activate()
    {
         Typecho_Plugin::factory('admin/theme-editor.php')->bottom = array('MbEditorFree_Plugin', 'footerjs');
    }
    
    /**
     * 禁用插件方法,如果禁用失败,直接抛出异常
     * 
     * @static
     * @access public
     * @return void
     * @throws Typecho_Plugin_Exception
     */
    public static function deactivate(){}
    
    /**
     * 获取插件配置面板
     * 
     * @access public
     * @param Typecho_Widget_Helper_Form $form 配置面板
     * @return void
     */
    public static function config(Typecho_Widget_Helper_Form $form)
    {}
    
    /**
     * 个人用户的配置面板
     * 
     * @access public
     * @param Typecho_Widget_Helper_Form $form
     * @return void
     */
    public static function personalConfig(Typecho_Widget_Helper_Form $form){}
    
    /**
     * 插件实现方法
     * 
     * @access public
     * @return void
     */
    public static function footerjs()
    {
$lujing=Helper::options()->pluginUrl . '/MbEditorFree/codemirror5522/';
?>      
<link href="<?php echo $lujing; ?>codemirror.css" rel="stylesheet">
<style>.CodeMirror {height: 500px;}</style>
<script src="<?php echo $lujing; ?>codemirror.js"></script>
<script src="<?php echo $lujing; ?>xml.js"></script>
<script src="<?php echo $lujing; ?>javascript.min.js"></script>
<script src="<?php echo $lujing; ?>css.js"></script>
<script src="<?php echo $lujing; ?>clike.js"></script>
<script src="<?php echo $lujing; ?>php.js"></script>
<script src="<?php echo $lujing; ?>htmlmixed.min.js"></script>
<script src="<?php echo $lujing; ?>matchbrackets.min.js"></script>      
<script>
let myTextarea = document.getElementById("content");
this.CodeMirrorEditor = CodeMirror.fromTextArea(myTextarea,{mode: "application/x-httpd-php",lineNumbers: true,indentUnit: 4,styleActiveLine: true, matchBrackets: true,lineWrapping: true});
</script>
<?php
}
}